<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$me = get_plugin_data($plugin_id);
global $template;

$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/rh_admin.tpl') );
$template->assign( 'RH_VERSION' , RH_VERSION );

foreach (str_replace(" ", "_", get_pwg_themes()) as $pwg_template) {
	if (isset($_POST['submit'])) {
		$me->rh_config[$pwg_template]['selected_cat'] 		= $_POST[$pwg_template.'selected_cat'];
		$me->rh_config[$pwg_template]['active_on_picture'] 	= (isset( $_POST[$pwg_template.'active_on_picture'] )) ? $_POST[$pwg_template.'active_on_picture'] : 'off' ; 
		$me->rh_config[$pwg_template]['concat_before'] 		= (isset( $_POST[$pwg_template.'concat_before'] )) ? $_POST[$pwg_template.'concat_before'] : 'off' ; 
		$me->rh_config[$pwg_template]['concat_after'] 		= (isset( $_POST[$pwg_template.'concat_after'] )) ? $_POST[$pwg_template.'concat_after'] : 'off' ; 
		$me->rh_config[$pwg_template]['head_css'] 			= $_POST[$pwg_template.'head_css']; 
		$me->rh_config[$pwg_template]['img_css'] 			= $_POST[$pwg_template.'img_css']; 
		$me->rh_config[$pwg_template]['mode_background'] 	= (isset( $_POST[$pwg_template.'mode_background'] )) ? $_POST[$pwg_template.'mode_background'] : 'off' ;
		$me->save_config();
	}
	
	$template->append('themes', array(
				'CURRENT_THEME' 	=> $pwg_template,
				'ACTIVE_ON_PICTURE' => ($me->rh_config[$pwg_template]['active_on_picture']=='on') ? 'checked' : '',
				'MODE_BACKGROUND' 	=> ($me->rh_config[$pwg_template]['mode_background']=='on') ? 'checked' : '',
				'CONCAT_BEFORE' 	=> ($me->rh_config[$pwg_template]['concat_before']=='on') ? 'checked' : '',
				'CONCAT_AFTER' 		=> ($me->rh_config[$pwg_template]['concat_after']=='on') ? 'checked' : '',
				'HEAD_CSS' 			=>  $me->rh_config[$pwg_template]['head_css'],
				'IMG_CSS' 			=>  $me->rh_config[$pwg_template]['img_css'],
				'CATSELECTED' 		=>  $me->rh_config[$pwg_template]['selected_cat']
				));
}

display_select_cat_wrapper(
	  'SELECT id,name,uppercats,global_rank FROM '.CATEGORIES_TABLE,
	  array(),
	  'categories'
	  );
load_language('plugin.lang', RH_PATH);

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>